Get issues
curl --request GET \
--url https://api.chift.eu/issues \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.chift.eu/issues"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.chift.eu/issues', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "<string>",
"consumer_id": "<string>",
"connection_id": "<string>",
"integration_id": 123,
"integration_name": "<string>",
"created_on": "2023-11-07T05:31:56Z",
"updated_on": "2023-11-07T05:31:56Z",
"last_seen": "2023-11-07T05:31:56Z",
"error": {
"error_code": "<string>",
"status": "<string>",
"title": "<string>",
"description": "<string>"
},
"occurrences": 123,
"level": "error"
}
]{
"message": "Validation error",
"status": "error",
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Issues
Get issues
Returns a list of the issues of your account. Filters can be used to query specific results. Filters can be combined and are inclusive.
GET
/
issues
Get issues
Learn more:
- How to monitor connections and detect issues? ↗
Authorizations
This access token needs to be included in each of your request to the Chift API.
Query Parameters
The search query to filter issues by creation date.
The search query to filter issues by last seen date.
The search query to filter issues by error code.
The search query to filter issues by issue status.
Available options:
open, closed, all The search query to filter issues by issue level.
Available options:
error, warning Response
Successful Response
Show child attributes
Show child attributes
Available options:
error, warning